# Created by pyp2rpm-1.0.1
%global pypi_name pywcs
%define version 1.11
%define wcsver svn3530

Name:           python-pywcs
Version:        %{version}
Release:        %mkrel 6
Group:          Sciences/Astronomy
Summary:        Python wrappers to WCSLIB

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/pyraf/stsci_python

#SourceGet0:    https://subversion.assembla.com/svn/astrolib/trunk/pywcs -r3530
Source0: http://stsdas.stsci.edu/astrolib/pywcs-%{version}-%{wcsver}.tar.gz




BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-sphinx
BuildRequires:  python-stsci-sphinxext

Obsoletes: python-stsci <= 2.13-2.mga4

%description
Pywcs provides transformations following the SIP conventions, Paper IV
table lookup distortion, and the core WCS functionality provided by
wcslib. Each of these transformations can be used independently or
together in a standard pipeline.

%prep
%setup -q -n %{pypi_name}-%{version}-%{wcsver}
%apply_patches
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
LC_ALL=C CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# generate html docs 
PYTHONPATH=`echo build/lib.*` sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
LC_ALL=C %{__python} setup.py install --skip-build --root %{buildroot}


%files
#%doc html
%doc LICENSE wcslib/COPYING.LESSER
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-*-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.11-6.mga4
+ Revision: 544154
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.11-5.mga4
+ Revision: 499277
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 13 2013 joequant <joequant> 1.11-4.mga4
+ Revision: 478296
- add build requires
- bump up version
- add python-pywcs docs

* Wed Sep 11 2013 joequant <joequant> 1.11-3.mga4
+ Revision: 477583
- sync up source code
- update to newest version

* Tue Sep 10 2013 joequant <joequant> 1.11-2.mga4
+ Revision: 477117
- imported package python-pywcs

